-- returns a command to build/run a file
function get_build_command(filepath,outfile,commandline,is_run,is_debug)
	outfile = outfile or ""
	commandline = commandline or ""
	is_run = is_run or 0
	is_debug = is_debug or 0
	
	-- add .exe extension for windows
	if is_win32 ~= 0 then
		outfile= outfile..'.exe'
	end
	-- command to return and file to execute afterwards
	local cmd=""
	local exe=""
	-- get file extension
	local ext= ExtractExt(filepath)
	
	-- C
	-- run c files with gcc
	if ext == "c" then
		cmd= 'gcc -o -debug "'..outfile..'" "'..filepath..'"'
		if is_run ~= 0 then exe= outfile end
	end
	
	--Python
	--run py files with python
	if ext == "py" then
		if is_win32 ~= 0 then
			cmd= '"python.exe" "'..filepath..'"'
		else
			cmd= '"python" "'..filepath..'"'
		end
	end
	
	--Lua
	--run lua files with lua-exe of indevIDE
	if ext == "lua" then
		if is_win32 ~= 0 then
			cmd= '"'..AppDir..'/lua-exe.exe" "'..filepath..'"'
		else
			cmd= '"'..AppDir..'/lua-exe" "'..filepath..'"'
		end
	end	
	
	return cmd,exe
end